/*#########################################################################
#   Amarok Script to create audio-cds from the current playlist           #
#   Copyright (c) 2008 Christoph Barth					  #
#   http://www.kde-apps.org/content/show.php?content=95972		  #
#   modified 2009 by Cornelius Maihöfer to also create MP3-CDs	  #
#									  #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 3 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, see <http://www.gnu.org/licenses/>   #
#   or write to the                                                       #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/
Importer.loadQtBinding( "qt.core" );

// sends a list of all filenames in the playlist to K3B to write the tracks to an audio cd:
function BurnAudioCD() {
    // get filenames from playlist:
    var PlaylistItems = Amarok.Playlist.filenames();
    // put "--audiocd" argument before the filelist
    PlaylistItems.unshift("--audiocd");
    // fire up k3b
    QProcess.execute("k3b", PlaylistItems);
    }

function BurnMP3CD() {
    // get filenames from playlist:
    var PlaylistItems = Amarok.Playlist.filenames();
    // put "--audiocd" argument before the filelist
    PlaylistItems.unshift("--datacd");
    // fire up k3b
    QProcess.execute("k3b", PlaylistItems);
    }

// Create ToolMenu-Entry:
Amarok.Window.addToolsMenu( "K3B_MP3", "Write MP3 CD", "k3b" );
Amarok.Window.addToolsMenu( "K3B_Audio", "Write Audio CD", "k3b" );

// Connect Menu-Entry with function BurnCD
Amarok.Window.ToolsMenu.K3B_MP3['triggered()'].connect(BurnMP3CD);
Amarok.Window.ToolsMenu.K3B_Audio['triggered()'].connect(BurnAudioCD);

